rem ************************************************************
rem *    Traduccin del Runaway EUR al espaol sustituyendo    *
rem *      el idioma ingles por el espaol que hay dentro      *
rem *           de la rom, pero se encuentra oculto.           *
rem *                   by amdiaz & PoTaToE                    *
rem ************************************************************




@echo off

cls

TITLE Runaway castellanizeitor by amdiaz / PoTaToE

COLOR 0A

rem Me posiciono en el disco y la carpeta adecuada, por si he arrastrado y soltado


%~d0%
CD %~p0%

SET runaway="runaway2.nds"

IF EXIST %1 SET runaway=%1

IF NOT EXIST %runaway% GOTO error


rem Comprobamos si la rom es la esperada.

ndstool -i %runaway%|@find /C "YR2P (NTR-YR2P-EUR)"> NUL

if errorlevel 1 goto error2


rem El fichero existe, y es el esperado. Vamos a ello.

rem descompilamos la rom...

echo.
echo Descompilando el juego %runaway%
echo Paciencia por favor... este proceso puede demorarse bastante.
echo.

ndstool -x %runaway% -9 arm9.bin -7 arm7.bin -y9 y9.bin -y7 y7.bin -d data -y overlay -t banner.bin -h header.bin > NUL

echo.
echo Juego descompilado 
echo.


rem Renombrando ficheros y carpetas

echo.
echo Renombrando los ficheros / carpetas pertinentes...
echo.

cd data

ren resource_es.003.text resource_es.003.text2

ren resource_en.003.text resource_es.003.text

ren resource_es.003.text2 resource_en.003.text


ren resource_es.003.info resource_es.003.info2

ren resource_en.003.info resource_es.003.info

ren resource_es.003.info2 resource_en.003.info


cd C16

ren espagnol espagnol2

ren anglais espagnol

ren espagnol2 anglais

CD %~p0%


rem Recompilamos el juego again

echo.
echo Recompilando el juego %runaway%
echo Paciencia por favor... este proceso puede demorarse bastante.
echo.

ndstool -c runaway2_ES.nds -9 arm9.bin -7 arm7.bin -y9 y9.bin -y7 y7.bin -d data -y overlay -t banner.bin -h header.bin > NUL

echo.
echo Rom recompilada
echo borrando archivos temporales
echo.

rd /s /q data 
rd /s /q overlay
del /q arm7.bin
del /q arm9.bin
del /q banner.bin
del /q header.bin
del /q y7.bin
del /q y9.bin

echo.
echo Ea, juego traducido en %~d0%%~p0%runaway2_ES.nds
echo.

GOTO final	


:error

echo.
echo Error. O la rom es incorrecta, o no hay argumento,
echo o no hay ningun juego llamado runaway2.nds
echo Hay 3 opciones de uso:
echo. 
echo 1. - %0 juego.nds
echo 2. - Doble click si renombras tu juego a runaway2.nds
echo 3. - Arrastra y suelta la rom sobre %0
echo.

goto final


:error2

echo La rom no es correcta, asegurate de que es el juego Runaway EUR.


:final

PAUSE

COLOR